- test:
    timeout:
      minutes: 30
      skip: false
    interactive:
    - name: sc-demo
      prompts:
        - root@(.*):[/~].*#
      echo: discard
      script:
      - name: set-date
        command: "date -d {{ date }}"
      {% for name, test_file in test_files %}
      - name: download-{{ name }}
        command: "wget --retry-connrefused --retry-on-host-error --retry-on-http-error=401,403 --progress=dot:giga {{ dut_download_base|default("http://{SERVER_IP}/tmp/{JOB_ID}/downloads/common")}}/{{ test_file }} -O /tmp/{{ test_file }}"
      {% endfor %}
      - name: install-sc-demo
        command: "cd /tmp && chmod +x sc-demo && ./sc-demo install"

- test:
    timeout:
      minutes: 30
    definitions:
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: sdc-test
          description: "software defined camera testing"
          os:
          - any
          scope:
          - functional
        run:
          steps:
          - lava-test-case sdc --shell /tmp/sc-demo test
      from: inline
      name: sdc-test
      path: inline/sdc-test.yaml
